Subject: Re: net: more accurate skb truesize - regression on Microblaze

From: David Miller <[email-masked]>
Date: Tue, 10 Apr 2012 09:43:01 -0400 (EDT)

From: Michal Simek <[email-masked]>
Date: Tue, 10 Apr 2012 13:38:33 +0200

> There is long history for ll_temac and axi emac drivers. and if you
> compare
> them they are very similar with similar bugs.
> In our distribution we are using older ll_temac driver where this is
> fixed.
> Performance is much higher if you allocate buffers for actual mtu.

You place an enormous burdon upon us when you ask us to analyze your
performance problems and bugs when using out of tree drivers.  Please
do not do this.